Ionic 4 angular unmet dependency issue

#1

Hello,

I try to start a new ionic 4 angular project and i get the following error any time i try do do a npm install

±- UNMET PEER DEPENDENCY @angular-devkit/architect@0.7.0-rc.3
±- UNMET PEER DEPENDENCY @angular-devkit/build-angular@0.7.0-rc.3
±- UNMET PEER DEPENDENCY @angular-devkit/core@0.7.0-rc.3
±- UNMET PEER DEPENDENCY @angular-devkit/schematics@0.7.0-rc.3

And if i try to install them i get the same error.
My ionic info looks like

Ionic:

ionic (Ionic CLI) : 4.0.3 (C:\Users\mihai.scarlat\AppData\Roaming\npm\node_modules\ionic)
Ionic Framework : @ionic/angular 4.0.0-beta.0
@angular-devkit/core : 0.7.0-rc.3
@angular-devkit/schematics : 0.7.0-rc.3
@angular/cli : 6.0.8
@ionic/ng-toolkit : 1.0.0
@ionic/schematics-angular : 1.0.1

Cordova:

cordova (Cordova CLI) : 7.0.1
Cordova Platforms : not available

System:

NodeJS : v8.9.4 (C:\Program Files (x86)\nodejs\node.exe)
npm : 3.10.8
OS : Windows 10

Environment:

ANDROID_HOME : not set

In my package.json i have the dependecies listed under devDependencies

Thank you,
Mihai

#2

Upgrade to at least npm 5 and try again. I’m running npm 6.3, but you shouldn’t need that.

#3

Bless you sir, i updated everything except npm… Got the latest and now it works.

split this topic #4

A post was split to a new topic: Definitely Ionic 4 is not ready yet